## Apache Zeta Components Manual :: Docs For Class ezcFeedProcessor

### Feed::ezcFeedProcessor

### Class ezcFeedProcessor

Base class for all feed processors.

Currently implemented for these feed types:

- RSS1 (ezcFeedRss1)
- RSS2 (ezcFeedRss2)
- ATOM (ezcFeedAtom)

Child classes must implement these methods:

- generate() - Returns an XML string from the feed information contained.

Source for this file: /Feed/src/interfaces/processor.php

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcFeedRss1 | Class providing parsing and generating of RSS1 feeds.
ezcFeedAtom | Class providing parsing and generating of ATOM feeds.
ezcFeedRss2 | Class providing parsing and generating of RSS2 feeds.

### Method Summary

public abstract string | `generate( )` Returns an XML string from the feed information contained in this processor.
public array(ezcFeedModule) | `getModules( )` Returns an array with all the modules loaded at feed-level.

### Methods

#### generate

string generate( )

Returns an XML string from the feed information contained in this processor.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcFeedRss1::generate()` | Returns an XML string from the feed information contained in this processor.
`ezcFeedAtom::generate()` | Returns an XML string from the feed information contained in this processor.
`ezcFeedRss2::generate()` | Returns an XML string from the feed information contained in this processor.

#### getModules

array(ezcFeedModule) getModules( )

Returns an array with all the modules loaded at feed-level.

Documentation generated by phpDocumentor 1.4.3